Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server
Interface CoreHandlerMBean

All Known Implementing Classes:
  CoreHandler

    public interface CoreHandlerMBean

Base IScopeHandler implementation

Author:
  The Red5 Project (red5@osflash.org)

Method Summary
`boolean` | `connect(IConnection conn, IScope scope)`
`boolean` | `connect(IConnection conn, IScope scope, Object[] params)`
`void` | `disconnect(IConnection conn, IScope scope)`
`boolean` | `handleEvent(IEvent event)`
`boolean` | `join(IClient client, IScope scope)`
`void` | `leave(IClient client, IScope scope)`
`void` | `removeChildScope(IBasicScope scope)`
`boolean` | `serviceCall(IConnection conn, IServiceCall call)`
`boolean` | `start(IScope scope)`
`void` | `stop(IScope scope)`

Method Detail

### connect

    boolean connect(IConnection conn,
                    IScope scope)

### connect

    boolean connect(IConnection conn,
                    IScope scope,
                    Object[] params)

### disconnect

    void disconnect(IConnection conn,
                    IScope scope)

### join

    boolean join(IClient client,
                 IScope scope)

### leave

    void leave(IClient client,
               IScope scope)

### removeChildScope

    void removeChildScope(IBasicScope scope)

### serviceCall

    boolean serviceCall(IConnection conn,
                        IServiceCall call)

### start

    boolean start(IScope scope)

### stop

    void stop(IScope scope)

### handleEvent

    boolean handleEvent(IEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project